package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemClazzEnrolmentWithClazzEditBindingImpl extends ItemClazzEnrolmentWithClazzEditBinding  {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.item_clazzmemberwithclazz_newitemicon, 3);
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemClazzEnrolmentWithClazzEditBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 4, sIncludes, sViewsWithIds));
    }
    private ItemClazzEnrolmentWithClazzEditBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.TextView) bindings[1]
            , (android.widget.TextView) bindings[2]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[3]
            );
        this.itemClazzmemberwithclazzLine1Text.setTag(null);
        this.itemClazzmemberwithclazzLine2Text.setTag(null);
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x8L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.clazzEnrolmentWithClazz == variableId) {
            setClazzEnrolmentWithClazz((com.ustadmobile.lib.db.entities.ClazzEnrolmentWithClazz) variable);
        }
        else if (BR.mFragment == variableId) {
            setMFragment((com.ustadmobile.port.android.view.PersonEditFragmentEventHandler) variable);
        }
        else if (BR.mPresenter == variableId) {
            setMPresenter((com.ustadmobile.core.controller.PersonEditPresenter) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setClazzEnrolmentWithClazz(@Nullable com.ustadmobile.lib.db.entities.ClazzEnrolmentWithClazz ClazzEnrolmentWithClazz) {
        this.mClazzEnrolmentWithClazz = ClazzEnrolmentWithClazz;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.clazzEnrolmentWithClazz);
        super.requestRebind();
    }
    public void setMFragment(@Nullable com.ustadmobile.port.android.view.PersonEditFragmentEventHandler MFragment) {
        this.mMFragment = MFragment;
    }
    public void setMPresenter(@Nullable com.ustadmobile.core.controller.PersonEditPresenter MPresenter) {
        this.mMPresenter = MPresenter;
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        com.ustadmobile.lib.db.entities.ClazzEnrolmentWithClazz clazzEnrolmentWithClazz = mClazzEnrolmentWithClazz;
        long clazzEnrolmentWithClazzClazzEnrolmentDateLeft = 0;
        long clazzEnrolmentWithClazzClazzEnrolmentDateJoined = 0;

        if ((dirtyFlags & 0x9L) != 0) {



                if (clazzEnrolmentWithClazz != null) {
                    // read clazzEnrolmentWithClazz.clazzEnrolmentDateLeft
                    clazzEnrolmentWithClazzClazzEnrolmentDateLeft = clazzEnrolmentWithClazz.getClazzEnrolmentDateLeft();
                    // read clazzEnrolmentWithClazz.clazzEnrolmentDateJoined
                    clazzEnrolmentWithClazzClazzEnrolmentDateJoined = clazzEnrolmentWithClazz.getClazzEnrolmentDateJoined();
                }
        }
        // batch finished
        if ((dirtyFlags & 0x9L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextViewBindingsKt.setClazzEnrolmentWithClazzAndOutcome(this.itemClazzmemberwithclazzLine1Text, clazzEnrolmentWithClazz);
            com.ustadmobile.port.android.view.binding.TextViewBindingsKt.setEnrolmentTextFromToDateLong(this.itemClazzmemberwithclazzLine2Text, clazzEnrolmentWithClazzClazzEnrolmentDateJoined, clazzEnrolmentWithClazzClazzEnrolmentDateLeft);
        }
    }
    // Listener Stub Implementations
    // callback impls
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): clazzEnrolmentWithClazz
        flag 1 (0x2L): mFragment
        flag 2 (0x3L): mPresenter
        flag 3 (0x4L): null
    flag mapping end*/
    //end
}